Package org.eclipse.emf.cdo.spi.server

# Interface RepositoryConfigurator.Extension

Enclosing class:
  RepositoryConfigurator

public static interface RepositoryConfigurator.Extension
Can use `cdo-server.xml` markup elements to configure extended aspects of a `repository`.

Since:
  4.20
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`

## Method Summary

Modifier and Type
Method
Description
`String`
`configureRepository(InternalRepository repository, Element extensionConfig, Map<String,String> parameters, org.eclipse.net4j.util.container.IManagedContainer container)`

## Field Details

### PRODUCT_GROUP

static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

## Method Details

### configureRepository

String configureRepository(InternalRepository repository, Element extensionConfig, Map<String,String> parameters, org.eclipse.net4j.util.container.IManagedContainer container)